%define anolis_release 1
Summary: A library for interfacing IEEE 1284-compatible devices
Name: libieee1284
Version: 0.2.11
Release: %{anolis_release}%{dist}
License: GPLv2+
URL: http://cyberelk.net/tim/libieee1284/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch1: libieee1284-strict-aliasing.patch
BuildRequires: gcc
BuildRequires: xmlto
BuildRequires: make
BuildRequires: libtool

%description
The libieee1284 library is for communicating with parallel port devices.

%package devel
Summary: Files for developing applications that use libieee1284
Requires: %{name} = %{version}-%{release}

%description devel
The header files, static library, libtool library and man pages for
developing applications that use libieee1284.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q
%patch1 -p1 -b .strict-aliasing

%build
autoreconf -iv
touch doc/interface.xml
%configure --without-python
%make_build

%install
rm -rf %{buildroot}
%make_install
rm -f %{buildroot}%{_libdir}/python*/*/*a
rm -f %{buildroot}%{_libdir}/*.a
%generate_compatibility_deps

%files
%{_libdir}/*.so.*
%{_bindir}/*
%license COPYING

%dir %{abidir}
%{abidir}/*.dump
%{abidir}/libieee1284_test-option.list

%files devel
%{_includedir}/ieee1284.h
%{_libdir}/*.so
%{_mandir}/*/*

%files doc
%doc INSTALL ChangeLog AUTHORS README TODO NEWS

%changelog
* Thu Mar 16 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 0.2.11-1
- Init package from upstream
